---
title: PresentationConnection.state
slug: Web/API/PresentationConnection/state
tags:
  - API
  - NeedsBrowserCompatibility
  - NeedsContent
  - NeedsMarkupWork
  - Presentation
  - Presentation API
  - PresentationConnection
  - Property
  - Reference
  - state
---
<div>{{APIRef("Presentation API")}}</div>

<p>The <dfn><code>state</code></dfn> attribute reflects the <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-presentation-connection">presentation connection</a>'s current state. Depending on the current <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#idl-def-presentationconnectionstate"><code>PresentationConnectionState</code></a>, the <dfn><code>state</code></dfn> attribute can hold one of the following values.</p>

<ul>
 <li><strong><dfn><code>connecting</code></dfn></strong>: The user agent is attempting to <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-establish-a-presentation-connection">establish a presentation connection</a> with the <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-destination-browsing-context">destination browsing context</a>. This is the initial state when a <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#idl-def-presentationconnection"><code>PresentationConnection</code></a> object is created.</li>
 <li><strong><dfn><code>connected</code></dfn></strong>: The <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-presentation-connection">presentation connection</a> is established and communication is possible.</li>
 <li><strong><dfn><code>closed</code></dfn></strong>: The <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-presentation-connection">presentation connection</a> has been closed or could not be opened. The connection may be reopened by calling <code><a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dom-presentationrequest-reconnect"><code>reconnect</code></a>()</code>. No communication is possible in this state.</li>
 <li><strong><dfn><code>terminated</code></dfn></strong>: The <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-receiving-browsing-context">receiving browsing context</a> has terminated. Any <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-presentation-connection">presentation connection</a> to that <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-presentation">presentation</a> has also terminated and cannot be reopened. No communication is possible.</li>
</ul>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PresentationConnection.state")}}</p>
